Bug 199809 - upgrading to xorg-x11-xinit-1.0.2-7.fc6 causes inability to log in via gdm
upgrading to xorg-x11-xinit-1.0.2-7.fc6 causes inability to log in via gdm
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
: 199830 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-22 10:09 EDT by David Nielsen
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-22 16:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2006-07-22 10:09:43 EDT
Description of problem:
after the xorg-x11-xinit-1.0.2-7.fc6 when I log into any environment via gdm all
I'm presented with is a bluescreen and a cursor, very win95 btw., downgrading to  
xorg-x11-xinit-1.0.2-6.fc6 makes that issue go away.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. upgrade to xorg-x11-xinit-1.0.2-7.fc6

Actual results:
blue screen follows login

Expected results:
pretty GNOME desktop

Additional info:
AMD64 X2 4400+ running Development 20060722
Comment 1 Michal Jaegermann 2006-07-22 14:00:21 EDT
Removal of /etc/X11/xinit/xinitrc.d/localuser.sh makes the problem, at
least outwardly, to go away.

After a failed attempt to login one has to terminate gnome-panel process
which tends to hang around and prevents a clean gnome-session startup.
Possibly the same with other session clients.  This at least indicates
that something tried to start but is messed up big way.

localuser.sh makes an impression that it should possibly log something
to "$HOME/.xsession-errors" but I could not find any traces of writing
in that file.
Comment 2 Adam Jackson 2006-07-22 16:48:35 EDT
Bah, braino in the spec file.  Should be sorted now in 1.0.2-8 and later.
Comment 3 Mike A. Harris 2006-07-24 01:27:16 EDT
*** Bug 199830 has been marked as a duplicate of this bug. ***
Comment 4 Valdis Kletnieks 2006-07-24 22:14:15 EDT
Another thing this breaks is the Tk/Tcl 'send' command, which does some sanity
checking on the xhost setting.  It makes the (until now) sane assumption that
if the xhost list is empty, that all clients are using xauth cookies of some
sort and therefor it's fairly secure.  Adding this 'xhost +si:localuser:${user}'
causes the list to be non-empty, and Tk/Tcl disables 'send' because it can't be
sure who/what may be listening to the data going by.

I'd not be surprised if the problems Gnome and other stuff reported here and Bug
199830 (flagged as dup of this) are the same basic problem - things refusing to
play when the xhost list isn't empty.

Note You need to log in before you can comment on or make changes to this bug.